aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2015-04-09 07:38:08 +0000
committerTimo Teräs <timo.teras@iki.fi>2015-04-09 07:38:08 +0000
commit3416ec684b19f3d365a6b7781cdf366c30ebb701 (patch)
tree83bba48afcc5af62e7c26c3089962010dbca22fa
parent47db907cdf7ac0669d2729f9aa146dcfdbf76a82 (diff)
downloadaports-3416ec684b19f3d365a6b7781cdf366c30ebb701.tar.gz
aports-3416ec684b19f3d365a6b7781cdf366c30ebb701.tar.bz2
aports-3416ec684b19f3d365a6b7781cdf366c30ebb701.tar.xz
main/oscam: use paxmark
-rw-r--r--main/oscam/APKBUILD6
1 files changed, 3 insertions, 3 deletions
diff --git a/main/oscam/APKBUILD b/main/oscam/APKBUILD
index 2b19069f93..67c68158fe 100644
--- a/main/oscam/APKBUILD
+++ b/main/oscam/APKBUILD
@@ -2,14 +2,14 @@
# Maintainer:
pkgname=oscam
pkgver=0_svn20150324
-pkgrel=0
+pkgrel=1
pkgdesc="An Open Source Conditional Access Module software"
url="http://www.streamboard.tv/oscam/"
arch="all"
license="GPL"
depends=""
depends_dev="openssl-dev libusb-dev pcsc-lite-dev"
-makedepends="$depends_dev bash subversion paxctl linux-headers"
+makedepends="$depends_dev bash subversion paxmark linux-headers"
install="$pkgname.pre-install"
pkgusers="$pkgname"
subpackages="$pkgname-doc $pkgname-list-smargo:list_smargo $pkgname-dbg"
@@ -79,7 +79,7 @@ package() {
local paxflags="-m"
# x86 need looser pax restrictions
[ "$CARCH" = "x86" ] && paxflags="-msp"
- paxctl -c $paxflags "$pkgdir/usr/bin/oscam" || return 1
+ paxmark "$paxflags" "$pkgdir/usr/bin/oscam" || return 1
}
list_smargo() {